Can't install aoo pdf ext

Discussions about using 3rd party extension with OpenOffice.org

Can't install aoo pdf ext

Postby justmegt » Fri Nov 14, 2014 1:02 am

When I try to install aoo pdf ext into aoo 4.11 I get the following error:

An error occurred during file opening.

I had the same error before I upgraded from 4.00.

I tried switching my antivirus and internet securities off.
Open Office 4.1.1 Win7 32 bit
justmegt
 
Posts: 3
Joined: Thu Dec 01, 2011 2:50 pm

Re: Can't install aoo pdf ext

Postby kingfisher » Fri Nov 14, 2014 4:16 am

If you are referring to Oracle PDF Import Extension, you need to install a later version :

If you are using Apache OpenOffice 4.0 or later, you must use another version: PDF Import for Apache OpenOffice.
Apache OpenOffice 4.1.6 on PCLinuxOS
User avatar
kingfisher
Volunteer
 
Posts: 2120
Joined: Tue Nov 20, 2007 10:53 am

Re: Can't install aoo pdf ext

Postby justmegt » Fri Nov 14, 2014 12:17 pm

kingfisher wrote:If you are referring to Oracle PDF Import Extension, you need to install a later version :

If you are using Apache OpenOffice 4.0 or later, you must use another version: PDF Import for Apache OpenOffice.


Yes, that's the one I'm using.

I have Panda Global Protection and it gives me a message that a 'dangerous operation has been blocked'. I tried turning off the antivirus and firewall but the same error happens.

All I want to do is copy and paste some data from a PDF invoice into a spread sheet, to calculate the profit margins. I have since typed the info in manually but it would be useful for future reference. Copying and pasting without the PDF extension puts the data into the spread sheet but doesn't put it in individual cells.
Open Office 4.1.1 Win7 32 bit
justmegt
 
Posts: 3
Joined: Thu Dec 01, 2011 2:50 pm

Re: Can't install aoo pdf ext

Postby RoryOF » Fri Nov 14, 2014 1:43 pm

justmegt wrote:
kingfisher wrote:If you are referring to Oracle PDF Import Extension, you need to install a later version :

If you are using Apache OpenOffice 4.0 or later, you must use another version: PDF Import for Apache OpenOffice.


Yes, that's the one I'm using.

I have Panda Global Protection and it gives me a message that a 'dangerous operation has been blocked'. I tried turning off the antivirus and firewall but the same error happens.


It may be that your browser has silently renamed the extension file to type .zip (IE can do this) and the OpenOffice extension installer is griping because of this. If this is the case, rename (at system level) the file involved to type .oxt and try installation again. Virus warnings for versions of OpenOffice and its extension files downloaded from the main site are almost always (always?) false positives. To install the extension you may require a Java update (a possibility - I'm not certain).
Apache OpenOffice 4.1.6 on Xubuntu 18.04.2 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29082
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Can't install aoo pdf ext

Postby kingfisher » Fri Nov 14, 2014 11:56 pm

justmegt wrote:All I want to do is copy and paste some data from a PDF invoice into a spread sheet, to calculate the profit margins. I have since typed the info in manually but it would be useful for future reference. Copying and pasting without the PDF extension puts the data into the spread sheet but doesn't put it in individual cells.


My recollection is that you can paste to individual cells by clicking the down arrow to the right of the paste tool bar icon selecting "unformatted text" and selecting the appropriate settings in the import dialogue which you then see. The preview will indicate the result of your settings.
Apache OpenOffice 4.1.6 on PCLinuxOS
User avatar
kingfisher
Volunteer
 
Posts: 2120
Joined: Tue Nov 20, 2007 10:53 am


Return to Extensions

Who is online

Users browsing this forum: No registered users and 2 guests